/* ========================================
 *  MoNoam - MoNoam.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __MoNoam_MoNoam_H
#define __MoNoam_MoNoam_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::MoNoam {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class MoNoam final : public SfxCoreExtensionV1
{
public:
    MoNoam();
    ~MoNoam();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff
	
	static const int kBYPASS = 0;
	static const int kMONO = 1;
	static const int kMONOR = 2;
	static const int kMONOL = 3;
	static const int kSIDE = 4;
	static const int kSIDEM = 5;
	static const int kSIDER = 6;
	static const int kSIDEL = 7;	

    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
